Webhooks

List deliveries

Lists events sent to this endpoint and whether each was delivered.

GET
/v1/webhooks/{id}/deliveries

Lists events sent to this endpoint and whether each was delivered.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Path Parameters

id*string

Query Parameters

page?number

Page number, starting at 1.

Range1 <= value <= 2147483647
limit?number

Items per page, 1 to 100. Defaults to 10.

Range1 <= value <= 100
status?string

Only deliveries with this status.

Value in"pending""delivered""failed"

Response Body

A page of deliveries.

application/json
Example Request
curl -X GET 'https://api.appstractone.com/v1/webhooks/string/deliveries'
Example Response
{
  "docs": [
    {
      "id": "whd_01M6MK2Q8YV4J3Z6Q1H0T7R5PB",
      "endpointId": "whe_01M6MJSC366MMHPMM73ABCM5JA",
      "eventId": "evt_01M6MK2Q8YV4J3Z6Q1H0T7R5PA",
      "type": "message.delivered",
      "status": "delivered",
      "attempts": 1,
      "responseCode": 200,
      "lastError": null,
      "nextAttemptAt": null,
      "deliveredAt": "2026-11-05T00:48:02.114Z",
      "createdAt": "2026-11-05T00:48:01.902Z"
    }
  ],
  "totalDocs": 1,
  "limit": 10,
  "totalPages": 1,
  "page": 1,
  "pagingCounter": 1,
  "hasPrevPage": false,
  "hasNextPage": false,
  "prevPage": null,
  "nextPage": null
}